<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: UDP_IO Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">UDP_IO Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for UDP_IO:</div>
<div class="dyncontent">
<div class="center"><img src="classUDP__IO__inherit__graph.png" border="0" usemap="#UDP__IO_inherit__map" alt="Inheritance graph"/></div>
<map name="UDP__IO_inherit__map" id="UDP__IO_inherit__map">
<area shape="rect" id="node10" href="classWIB.html" title="WIB" alt="" coords="191,379,239,405"/><area shape="rect" id="node2" href="classrx__frame.html" title="WORK.rx_frame" alt="" coords="5,229,129,256"/><area shape="rect" id="node3" href="classtx__frame.html" title="WORK.tx_frame" alt="" coords="154,229,277,256"/><area shape="rect" id="node4" href="classtx__packet__fifo.html" title="tx_packet_fifo(2)" alt="" coords="141,155,269,181"/><area shape="rect" id="node5" href="classWIB__TSE.html" title="WIB_TSE" alt="" coords="313,229,395,256"/><area shape="rect" id="node6" href="enumWIB__TSE__0002.html" title="WIB_TSE_0002" alt="" coords="293,155,415,181"/><area shape="rect" id="node7" href="enumaltera__reset__controller.html" title="altera_reset_controller" alt="" coords="246,80,411,107"/><area shape="rect" id="node8" href="enumaltera__reset__synchronizer.html" title="altera_reset_synchronizer" alt="" coords="334,5,521,32"/><area shape="rect" id="node9" href="enumaltera__reset__controller.html" title="altera_reset_controller(2)" alt="" coords="436,80,619,107"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classUDP__IO-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classUDP__IO_1_1bdf__type.html">bdf_type</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aae5de5c5aebf7b54ecd36feaba217215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5de5c5aebf7b54ecd36feaba217215"></a>
<a class="el" href="classUDP__IO.html#aae5de5c5aebf7b54ecd36feaba217215">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaf61a7f248ac972ac2e791edd114101e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf61a7f248ac972ac2e791edd114101e"></a>
<a class="el" href="classUDP__IO.html#aaf61a7f248ac972ac2e791edd114101e">CLK_125Mhz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a49e323be89eca6b91fd701f5d6071ddc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49e323be89eca6b91fd701f5d6071ddc"></a>
<a class="el" href="classUDP__IO.html#a49e323be89eca6b91fd701f5d6071ddc">CLK_50MHz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a803868a7c6111be70c7ac51be88fff7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a803868a7c6111be70c7ac51be88fff7f"></a>
<a class="el" href="classUDP__IO.html#a803868a7c6111be70c7ac51be88fff7f">CLK_IO</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9b45f9a82cf981351fdbb1b1a17abe45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b45f9a82cf981351fdbb1b1a17abe45"></a>
<a class="el" href="classUDP__IO.html#a9b45f9a82cf981351fdbb1b1a17abe45">SPF_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af25e235208dad61e16cf0b8e32fcec03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af25e235208dad61e16cf0b8e32fcec03"></a>
<a class="el" href="classUDP__IO.html#af25e235208dad61e16cf0b8e32fcec03">SFP_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ade5c30ef29761bf3b54719daf184fea5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade5c30ef29761bf3b54719daf184fea5"></a>
<a class="el" href="classUDP__IO.html#ade5c30ef29761bf3b54719daf184fea5">START</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a67eddccca6ea38588e0c56507271722d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67eddccca6ea38588e0c56507271722d"></a>
<a class="el" href="classUDP__IO.html#a67eddccca6ea38588e0c56507271722d">BRD_IP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1be9922074cb0834e940d4cc409125a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1be9922074cb0834e940d4cc409125a1"></a>
<a class="el" href="classUDP__IO.html#a1be9922074cb0834e940d4cc409125a1">BRD_MAC</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a73cbe678ca173432f3565f81f5359a75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73cbe678ca173432f3565f81f5359a75"></a>
<a class="el" href="classUDP__IO.html#a73cbe678ca173432f3565f81f5359a75">EN_WR_RDBK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae92b43cf474abe4a019bee7d8dc8829"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae92b43cf474abe4a019bee7d8dc8829"></a>
<a class="el" href="classUDP__IO.html#aae92b43cf474abe4a019bee7d8dc8829">TIME_OUT_wait</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3133d0932edb999d7e489c14247e2c22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3133d0932edb999d7e489c14247e2c22"></a>
<a class="el" href="classUDP__IO.html#a3133d0932edb999d7e489c14247e2c22">FRAME_SIZE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a12f0b74c8254e76717f34673c5f9d390"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12f0b74c8254e76717f34673c5f9d390"></a>
<a class="el" href="classUDP__IO.html#a12f0b74c8254e76717f34673c5f9d390">tx_fifo_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa94b765b4bdc8b1c8a49c8e9adffa133"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa94b765b4bdc8b1c8a49c8e9adffa133"></a>
<a class="el" href="classUDP__IO.html#aa94b765b4bdc8b1c8a49c8e9adffa133">tx_fifo_wr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1560836b14151124afd77f6e58999463"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1560836b14151124afd77f6e58999463"></a>
<a class="el" href="classUDP__IO.html#a1560836b14151124afd77f6e58999463">tx_fifo_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a58d79932d514985a4be3109efbf39ee0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58d79932d514985a4be3109efbf39ee0"></a>
<a class="el" href="classUDP__IO.html#a58d79932d514985a4be3109efbf39ee0">tx_fifo_full</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5ba486eae743b5e0378662712d047a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5ba486eae743b5e0378662712d047a1"></a>
<a class="el" href="classUDP__IO.html#aa5ba486eae743b5e0378662712d047a1">tx_fifo_used</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad0a9a53ba4f6439753028cfd02d91e6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0a9a53ba4f6439753028cfd02d91e6e"></a>
<a class="el" href="classUDP__IO.html#ad0a9a53ba4f6439753028cfd02d91e6e">DQM_ip_dest_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a908032dfaa2b7bf5ae0cb0d49395ccc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a908032dfaa2b7bf5ae0cb0d49395ccc1"></a>
<a class="el" href="classUDP__IO.html#a908032dfaa2b7bf5ae0cb0d49395ccc1">DQM_mac_dest_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac44d4c9cc076eb9a5419a3e9ce3f22ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac44d4c9cc076eb9a5419a3e9ce3f22ea"></a>
<a class="el" href="classUDP__IO.html#ac44d4c9cc076eb9a5419a3e9ce3f22ea">DQM_dest_port</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04cb88e00116c22484b7efa4edfc1ff8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04cb88e00116c22484b7efa4edfc1ff8"></a>
<a class="el" href="classUDP__IO.html#a04cb88e00116c22484b7efa4edfc1ff8">header_user_info</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8ec13af6e70523a771606d384f46ad64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ec13af6e70523a771606d384f46ad64"></a>
<a class="el" href="classUDP__IO.html#a8ec13af6e70523a771606d384f46ad64">system_status</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6d1c54190b158944e801f73b0582d055"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d1c54190b158944e801f73b0582d055"></a>
<a class="el" href="classUDP__IO.html#a6d1c54190b158944e801f73b0582d055">data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a763aebe7d63bf9585db15ed94846b99c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a763aebe7d63bf9585db15ed94846b99c"></a>
<a class="el" href="classUDP__IO.html#a763aebe7d63bf9585db15ed94846b99c">rdout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac0286ffb8c3747271182e80c2984838f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0286ffb8c3747271182e80c2984838f"></a>
<a class="el" href="classUDP__IO.html#ac0286ffb8c3747271182e80c2984838f">wr_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a94fea6af5252726a9f685eb161cb351c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94fea6af5252726a9f685eb161cb351c"></a>
<a class="el" href="classUDP__IO.html#a94fea6af5252726a9f685eb161cb351c">rd_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2d8ab1845ae85e74cbf7b85c4e2770b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2d8ab1845ae85e74cbf7b85c4e2770b"></a>
<a class="el" href="classUDP__IO.html#ac2d8ab1845ae85e74cbf7b85c4e2770b">WR_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab36ceecb61fde67df442fd5a0b21ad0f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab36ceecb61fde67df442fd5a0b21ad0f"></a>
<a class="el" href="classUDP__IO.html#ab36ceecb61fde67df442fd5a0b21ad0f">RD_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a15b0a415a9db65c22c2b43fe2cb5eea2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15b0a415a9db65c22c2b43fe2cb5eea2"></a>
<a class="el" href="classUDP__IO.html#a15b0a415a9db65c22c2b43fe2cb5eea2">RD_WR_ADDR_SEL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a06e3623fdcfdcd51aa61e18b2108c24a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06e3623fdcfdcd51aa61e18b2108c24a"></a>
<a class="el" href="classUDP__IO.html#a06e3623fdcfdcd51aa61e18b2108c24a">FEMB_BRD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abb79cada5cb18a419d33e16b8e7cafcf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb79cada5cb18a419d33e16b8e7cafcf"></a>
<a class="el" href="classUDP__IO.html#abb79cada5cb18a419d33e16b8e7cafcf">FEMB_RD_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a541224792819e459d2693a184d6d0a3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a541224792819e459d2693a184d6d0a3a"></a>
<a class="el" href="classUDP__IO.html#a541224792819e459d2693a184d6d0a3a">FEMB_WR_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6490b867931518617594b3c4f5c96189"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6490b867931518617594b3c4f5c96189"></a>
<a class="el" href="classUDP__IO.html#a6490b867931518617594b3c4f5c96189">FEMB_RDBK_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0fe2717b0f6c3bbc23a972bcf37eb4d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fe2717b0f6c3bbc23a972bcf37eb4d4"></a>
<a class="el" href="classUDP__IO.html#a0fe2717b0f6c3bbc23a972bcf37eb4d4">FEMB_RDBK_DATA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__io_8vhd_source.html#l00027">27</a> of file <a class="el" href="udp__io_8vhd_source.html">udp_io.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/udp_io/<a class="el" href="udp__io_8vhd_source.html">udp_io.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
